Bug 293291 - (NSSPython) Provide python bindings for NSS: python-nss
Provide python bindings for NSS: python-nss
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python-nss (Show other bugs)
6.0
All Linux
high Severity high
: alpha
: ---
Assigned To: John Dennis
Eduard Benes
: FutureFeature
Depends On:
Blocks: 241704
  Show dependency treegraph
 
Reported: 2007-09-17 10:13 EDT by Daniel Riek
Modified: 2010-11-10 16:23 EST (History)
14 users (show)

See Also:
Fixed In Version: python-nss-0.8-1.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:23:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Riek 2007-09-17 10:13:27 EDT
Red Hat is standardizing user-space cryptography mainly on the nss crypto
library. Main reasons are that nss is Red Hat-co-maintained and that it has the
FIPS certification required by the government.

A blocker for broader adoption of nss is proper python bindings to be used in
the many python-based tools Red Hat Enterprise Linux contains (yum, conga,
anaconda, etc.).
Comment 4 Bill Nottingham 2008-10-10 13:20:41 EDT
This exists now in Fedora, don't see why we couldn't include it.
Comment 5 Siddharth Nagar 2009-05-12 17:01:28 EDT
NSS is preferred crypto library implementation in RHEL and Python is central to a lot of the tasks. Accepting for inclusion in RHEL 6
Comment 6 Felix Schwarz 2009-05-13 03:26:45 EDT
May I ask you to check if you can include also the patches floating for python-nss in rhbz (Fedora)? E.g. bug 472805 has some functionality which I definitely need for my Python projects (upgrading an existing connection to TLS).

As python-nss has no visible upstream development and a very busy primary developer, it's hard to see for me whom I should ping about this. However having a version in RHEL6 for many years that don't provide some (probably commonly needed) functionality will be a major pain for some people.
Comment 12 releng-rhel@redhat.com 2010-11-10 16:23:20 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.